Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.config
Class AppenderRef

    java.lang.Object
      org.apache.logging.log4j.core.config.AppenderRef

    @Plugin(name="AppenderRef",
            category="Core",
            printObject=true)
    @PluginAliases(value="appender-ref")
    public final class AppenderRef

extends Object

An Appender reference.

Method Summary
`static AppenderRef` | `createAppenderRef(String ref, org.apache.logging.log4j.Level level, Filter filter)` Create an Appender reference.
`Filter` | `getFilter()`
`org.apache.logging.log4j.Level` | `getLevel()`
`String` | `getRef()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getRef

    public String getRef()

### getLevel

    public org.apache.logging.log4j.Level getLevel()

### getFilter

    public Filter getFilter()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### createAppenderRef

    @PluginFactory
    public static AppenderRef createAppenderRef(@PluginAttribute(value="ref")
                                                              String ref,
                                                              @PluginAttribute(value="level")
                                                              org.apache.logging.log4j.Level level,
                                                              @PluginElement(value="Filter")
                                                              Filter filter)

  Create an Appender reference.

  Parameters:
    `ref` - The name of the Appender.
    `level` - The Level to filter against.
    `filter` - The filter(s) to use.
  Returns:
    The name of the Appender.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.